package model

import (
	"time"

	"go.mongodb.org/mongo-driver/bson/primitive"
)

type RequestLogs struct {
	Id         primitive.ObjectID `bson:"_id,omitempty" json:"_id"`
	UserId     string             `bson:"userId,omitempty" json:"userId"`
	Path       string             `bson:"path,omitempty" json:"path"`
	Method     string             `bson:"method,omitempty" json:"method"`
	Ip         string             `bson:"ip,omitempty" json:"ip"`
	Code       int                `bson:"code,omitempty" json:"code"`
	Time       float64            `bson:"time,omitempty" json:"time"`
	Query      string             `bson:"query,omitempty" json:"query"`
	Reqbody    string             `bson:"reqb,omitempty" json:"reqb"`
	Resbody    string             `bson:"resb,omitempty" json:"resb"`
	CreateTime time.Time          `bson:"createTime,omitempty" json:"createTime"`
}
